image: nfcore/gitpod:latest

vscode:
  extensions: # based on nf-core.nf-core-extensionpack
    - codezombiech.gitignore # Language support for .gitignore files
    # - cssho.vscode-svgviewer                 # SVG viewer
    - esbenp.prettier-vscode # Markdown/CommonMark linting and style checking for Visual Studio Code
    - eamodio.gitlens # Quickly glimpse into whom, why, and when a line or code block was changed
    - EditorConfig.EditorConfig # override user/workspace settings with settings found in .editorconfig files
    - Gruntfuggly.todo-tree # Display TODO and FIXME in a tree view in the activity bar
    - mechatroner.rainbow-csv # Highlight columns in csv files in different colors
    # - nextflow.nextflow                      # Nextflow syntax highlighting
    - oderwat.indent-rainbow # Highlight indentation level
    - streetsidesoftware.code-spell-checker # Spelling checker for source code
